Bug 442770 - Bad versioning in RPM pre-reqs
Bad versioning in RPM pre-reqs
Product: Fedora
Classification: Fedora
Component: libX11 (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-16 13:49 EDT by Valdis Kletnieks
Modified: 2014-06-18 05:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 14:20:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2008-04-16 13:49:56 EDT
Description of problem:
While cleaning up un-needed i386 devel packages on an almost-entirely x86_64
box, I hit this:

#  rpm -e libxcb-devel-1.1-2.fc9.i386
error: Failed dependencies:
        libxcb-devel is needed by (installed) libX11-devel-1.1.4-1.fc9.x86_64

The x86_64 version should depend on libxcb-devel.x86_64 not a wildcard or generic.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Bug Zapper 2008-05-14 05:32:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Peter Hutterer 2009-04-16 19:58:48 EDT
This is not an libX11 bug but a problem with rpm.
If we'd start doing arch-dependent requires for each package and each architecture, the specs would become pretty crazy.
Comment 3 Panu Matilainen 2009-04-17 03:16:57 EDT
Like it or not, but rpm cannot magically know if an arbitrary dependency string "foo" is supposed to be arch dependant or not. You need to tell it to rpm one way or another, there's no way around that.

In Fedora 9, the only option is to use a file dependency on something that varies between archs, typically something in /usr/lib vs /usr/lib64. From F10 onwards you can express the arch dependency by appending %{_isa} to the dependency name, eg in this case
Requires: libxcb-devel%{_isa}

Note that practically every single -devel package in F9 has this issue, hardly worth fixing specifically for libX11.
Comment 4 Bug Zapper 2009-06-09 20:13:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-07-14 14:20:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.